Ask Your Question
0

Worries about Groovy

asked 2013-04-04 13:23:54 -0500

Maximusone gravatar image

updated 2013-04-04 15:21:29 -0500

Hi All,

I am swing between Groovy and Fuerte. I have been using Fuerte for a while, but want to try Groovy now. It seems that ROS is neither forward compatible or backward compatible. Is it possible such case happen: One camera driver works on Fuerte but won't work on Groovy??

Or are there any other critical issues if I transfer to Groovy?

Thank you very much for your answers!

edit retag flag offensive close merge delete

Comments

Which camera driver?

Chad Rockey gravatar imageChad Rockey ( 2013-04-04 18:38:37 -0500 )edit

1 Answer

Sort by ยป oldest newest most voted
2

answered 2013-04-04 15:14:54 -0500

Regarding the cameras. Upgrading ROS should not give any problems unless you upgrade OS as well. All of the camera packages in ROS I am aware of are either rely on OpenCV, Video4Linux or GStreamer and if these can get an access to device you would not have any problems.

It is also possible that some specific packages are not ported to Groovy API yet, but I believe the vast majority of those you may need are ready.

edit flag offensive delete link more

Comments

Thank you so much for your answer, Boris. My understanding from your words is that the functions we usuallly need won't affect us when transfering to Groovy, like drivers for hardwares, navigation packages, etc. right?

Maximusone gravatar imageMaximusone ( 2013-04-04 18:01:46 -0500 )edit
2

The things you mention work fine on Groovy. Almost all released Ubuntu packages are available: http://www.ros.org/debbuild/groovy.html

joq gravatar imagejoq ( 2013-04-05 02:10:20 -0500 )edit

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

Stats

Asked: 2013-04-04 13:23:54 -0500

Seen: 122 times

Last updated: Apr 04 '13